# Generated from fog-aws-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fog-aws

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 3%{?dist}
Summary: Module for the 'fog' gem to support Amazon Web Services
Group: Development/Languages
License: MIT
URL: https://github.com/fog/fog-aws
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Fix rubyzip 1.x compatibility.
# https://github.com/fog/fog-aws/pull/201
Patch0: rubygem-fog-aws-0.7.6-Fix-rubyzip-1.x-compatibility.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(fog-xml)
BuildRequires: rubygem(fog-json)
BuildRequires: rubygem(ipaddress)
BuildRequires: rubygem(mime-types)
BuildRequires: rubygem(rubyzip)
BuildRequires: %{_bindir}/shindo
BuildArch: noarch

%description
This library can be used as a module for `fog` or as standalone provider
to use the Amazon Web Services in applications.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%patch0 -p1

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
# Don't use Bundler.
sed -i '/Bundler/ s/^/#/' tests/helper.rb

# Disable the test, since it breaks later test cases (but they pass
# independently just fine.
# https://github.com/fog/fog-aws/issues/296
mv tests/requests/sts/assume_role_with_web_identity_tests.rb{,.disable}

# These tests don't cleanup correctly.
# https://github.com/fog/fog-aws/issues/347
sed -i "/^      tests('with vpc') do$/,/^      end$/ s/^/#/" tests/models/elb/model_tests.rb
sed -i "/^      tests('with vpc internal') do$/,/^      end$/ s/^/#/" tests/models/elb/model_tests.rb
sed -i "/^      tests('with default vpc') do$/,/^      end$/ s/^/#/" tests/models/elb/model_tests.rb

# These tests are flaky.
# https://github.com/fog/fog-aws/issues/301
mv tests/requests/dns/change_resource_record_sets_tests.rb{,.disabled}

FOG_MOCK=true shindont
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.md
%exclude %{gem_instdir}/fog-aws.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/CONTRIBUTORS.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gemfiles
%{gem_instdir}/tests

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 22 2017 Vít Ondruch <vondruch@redhat.com> - 1.2.0-1
- Update to fog-aws 1.2.0.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 26 2016 Vít Ondruch <vondruch@redhat.com> - 0.12.0-1
- Update to fog-aws 0.12.0.

* Tue Sep 06 2016 Vít Ondruch <vondruch@redhat.com> - 0.11.0-1
- Update to fog-aws 0.11.0.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 20 2015 Vít Ondruch <vondruch@redhat.com> - 0.7.6-1
- Update to fog-aws 0.7.6.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 10 2015 Vít Ondruch <vondruch@redhat.com> - 0.1.1-1
- Initial package
